Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.storage
Class DAVStorage

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.storage.DAVStorage

All Implemented Interfaces:
  IStorageControler

public class DAVStorage
extends java.lang.Object
implements IStorageControler

DAVStorage
Implémentation d'un IStorageControler avec un stockage des documents sur
un serveur WebDAV
Chaque intranet se voit attribuer un dossier dans lequel des dossiers sont créés
afin qu'aucun dossier ne contienne plus d'un nombre déterminé de documents
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DAVStorage()` Constructeur

Method Summary
`void` | `createIntranet(Intranet intranet)` Création d'un intranet
`void` | `destroyDocument(java.lang.String intranet, Document doc)` Suppression d'un document
`void` | `destroyIntranet(java.lang.String intranet)` Suppression d'un intranet et de tous ses documents
`void` | `invalidDocument(java.lang.String intranet, Document doc)` Invalidation d'un document
`java.io.InputStream` | `loadDocument(java.lang.String intranet, Document doc)` Lecture d'un document
`void` | `saveDocument(java.lang.String intranet, Document doc, java.io.InputStream in)` Sauvegarde d'un document
`void` | `setParameters(java.util.Hashtable parameters)` Liste des paramètres spécifiques à l'implémentation du IStorageControler Ici cinq paramètres obligatoires : - url qui contient l'adresse du serveur WebDAV - uri qui contient le chemin depuis la racine - login qui contient le nom d'utilisateur - password qui contient le mot de passe - size qui contient le nombre maximal de documents par dossier
`void` | `updateDocument(java.lang.String intranet, Document doc, java.io.InputStream in)` Mise à jour d'un document
`void` | `validDocument(java.lang.String intranet, Document doc)` Validation d'un document

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAVStorage

    public DAVStorage()

  Constructeur

Method Detail

### saveDocument

    public void saveDocument(java.lang.String intranet,
                             Document doc,
                             java.io.InputStream in)
                      throws StorageException

  Sauvegarde d'un document

  Specified by:
    `saveDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet auquel appartient le document
    `doc` - Le document
    `in` - Le flux de lecture vers le contenu du document
  Throws:
    `StorageException`

### loadDocument

    public java.io.InputStream loadDocument(java.lang.String intranet,
                                            Document doc)
                                     throws StorageException

  Lecture d'un document

  Specified by:
    `loadDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet auquel appartient le document
    `doc` - Le document
  Returns:
    Le flux de lecture vers le document stocké
  Throws:
    `StorageException`

### updateDocument

    public void updateDocument(java.lang.String intranet,
                               Document doc,
                               java.io.InputStream in)
                        throws StorageException

  Mise à jour d'un document

  Specified by:
    `updateDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet auquel appartient le document
    `doc` - Le document
    `in` - Le flux de lecture vers le nouveau contenu, null si pas de mise à jour du contenu
  Throws:
    `StorageException`

### destroyDocument

    public void destroyDocument(java.lang.String intranet,
                                Document doc)
                         throws StorageException

  Suppression d'un document

  Specified by:
    `destroyDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet auquel appartient le document
    `doc` - Le document
  Throws:
    `StorageException`

### validDocument

    public void validDocument(java.lang.String intranet,
                              Document doc)
                       throws StorageException

  Validation d'un document

  Specified by:
    `validDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet auquel appartient le document
    `doc` - Le document à valider
  Throws:
    `StorageException`

### invalidDocument

    public void invalidDocument(java.lang.String intranet,
                                Document doc)
                         throws StorageException

  Invalidation d'un document

  Specified by:
    `invalidDocument` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet auquel appartient le document
    `doc` - Le document à invalider
  Throws:
    `StorageException`

### createIntranet

    public void createIntranet(Intranet intranet)
                        throws StorageException

  Création d'un intranet

  Specified by:
    `createIntranet` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet à créer
  Throws:
    `StorageException`

### destroyIntranet

    public void destroyIntranet(java.lang.String intranet)
                         throws StorageException

  Suppression d'un intranet et de tous ses documents

  Specified by:
    `destroyIntranet` in interface `IStorageControler`
  Parameters:
    `intranet` - L'intranet à supprimer
  Throws:
    `StorageException`

### setParameters

    public void setParameters(java.util.Hashtable parameters)

  Liste des paramètres spécifiques à l'implémentation du IStorageControler
  Ici cinq paramètres obligatoires :
  - url qui contient l'adresse du serveur WebDAV - uri qui contient le chemin depuis la racine - login qui contient le nom d'utilisateur - password qui contient le mot de passe - size qui contient le nombre maximal de documents par dossier

  Specified by:
    `setParameters` in interface `IStorageControler`
  Parameters:
    `parameters` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD